[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# AnchorAlign

Array with sets of anchors used for a given alignment option.

## Declaration

Source position: controls.pp line 2683

`const AnchorAlign: array [TAlign] of TAnchors = ([akLeft, akTop], [akLeft, akTop, akRight], [akLeft, akRight, akBottom], [akLeft, akTop, akBottom], [akRight, akTop, akBottom], [akLeft, akTop, akRight, akBottom], [akLeft, akTop]);`

## Description

AnchorAlign is an array constant that contains elements with TAnchors set values. Values in AnchorAlign are indexed by TAlign enumeration values. This allows the TAlign value to retrieve the set of Anchors used for the specified align option.

For example:

    AControl.Align := AnchorAlign[alRight]; // contains [akRight, akTop, akBottom]